Index: uspace/drv/bus/adb/cuda_adb/cuda_adb.c
===================================================================
--- uspace/drv/bus/adb/cuda_adb/cuda_adb.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/adb/cuda_adb/cuda_adb.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -56,5 +56,5 @@
 
 static void cuda_dev_connection(ipc_callid_t, ipc_call_t *, void *);
-static errno_t cuda_init(cuda_t *);
+static int cuda_init(cuda_t *);
 static void cuda_irq_handler(ipc_call_t *, void *);
 
@@ -108,10 +108,10 @@
 };
 
-static errno_t cuda_dev_create(cuda_t *cuda, const char *name, const char *id,
+static int cuda_dev_create(cuda_t *cuda, const char *name, const char *id,
     adb_dev_t **rdev)
 {
 	adb_dev_t *dev = NULL;
 	ddf_fun_t *fun;
-	errno_t rc;
+	int rc;
 
 	fun = ddf_fun_create(cuda->dev, fun_inner, name);
@@ -155,9 +155,9 @@
 }
 
-errno_t cuda_add(cuda_t *cuda, cuda_res_t *res)
+int cuda_add(cuda_t *cuda, cuda_res_t *res)
 {
 	adb_dev_t *kbd = NULL;
 	adb_dev_t *mouse = NULL;
-	errno_t rc;
+	int rc;
 
 	cuda->phys_base = res->base;
@@ -187,10 +187,10 @@
 }
 
-errno_t cuda_remove(cuda_t *cuda)
+int cuda_remove(cuda_t *cuda)
 {
 	return ENOTSUP;
 }
 
-errno_t cuda_gone(cuda_t *cuda)
+int cuda_gone(cuda_t *cuda)
 {
 	return ENOTSUP;
@@ -229,7 +229,7 @@
 }
 
-static errno_t cuda_init(cuda_t *cuda)
-{
-	errno_t rc;
+static int cuda_init(cuda_t *cuda)
+{
+	int rc;
 
 	void *vaddr;
@@ -252,5 +252,5 @@
 	cuda_irq_code.cmds[0].addr = (void *) &((cuda_regs_t *)
 	    cuda->phys_base)->ifr;
-	async_irq_subscribe(10, cuda_irq_handler, cuda, &cuda_irq_code, NULL);
+	async_irq_subscribe(10, cuda_irq_handler, cuda, &cuda_irq_code);
 
 	/* Enable SR interrupt. */
Index: uspace/drv/bus/adb/cuda_adb/cuda_adb.h
===================================================================
--- uspace/drv/bus/adb/cuda_adb/cuda_adb.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/adb/cuda_adb/cuda_adb.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -87,7 +87,7 @@
 } cuda_t;
 
-extern errno_t cuda_add(cuda_t *, cuda_res_t *);
-extern errno_t cuda_remove(cuda_t *);
-extern errno_t cuda_gone(cuda_t *);
+extern int cuda_add(cuda_t *, cuda_res_t *);
+extern int cuda_remove(cuda_t *);
+extern int cuda_gone(cuda_t *);
 
 #endif
Index: uspace/drv/bus/adb/cuda_adb/main.c
===================================================================
--- uspace/drv/bus/adb/cuda_adb/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/adb/cuda_adb/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,9 +43,9 @@
 #define NAME  "cuda_adb"
 
-static errno_t cuda_dev_add(ddf_dev_t *dev);
-static errno_t cuda_dev_remove(ddf_dev_t *dev);
-static errno_t cuda_dev_gone(ddf_dev_t *dev);
-static errno_t cuda_fun_online(ddf_fun_t *fun);
-static errno_t cuda_fun_offline(ddf_fun_t *fun);
+static int cuda_dev_add(ddf_dev_t *dev);
+static int cuda_dev_remove(ddf_dev_t *dev);
+static int cuda_dev_gone(ddf_dev_t *dev);
+static int cuda_fun_online(ddf_fun_t *fun);
+static int cuda_fun_offline(ddf_fun_t *fun);
 
 static driver_ops_t driver_ops = {
@@ -62,9 +62,9 @@
 };
 
-static errno_t cuda_get_res(ddf_dev_t *dev, cuda_res_t *res)
+static int cuda_get_res(ddf_dev_t *dev, cuda_res_t *res)
 {
 	async_sess_t *parent_sess;
 	hw_res_list_parsed_t hw_res;
-	errno_t rc;
+	int rc;
 
 	parent_sess = ddf_dev_parent_sess_get(dev);
@@ -97,9 +97,9 @@
 }
 
-static errno_t cuda_dev_add(ddf_dev_t *dev)
+static int cuda_dev_add(ddf_dev_t *dev)
 {
 	cuda_t *cuda;
 	cuda_res_t cuda_res;
-	errno_t rc;
+	int rc;
 
         ddf_msg(LVL_DEBUG, "cuda_dev_add(%p)", dev);
@@ -122,5 +122,5 @@
 }
 
-static errno_t cuda_dev_remove(ddf_dev_t *dev)
+static int cuda_dev_remove(ddf_dev_t *dev)
 {
         cuda_t *cuda = (cuda_t *)ddf_dev_data_get(dev);
@@ -131,5 +131,5 @@
 }
 
-static errno_t cuda_dev_gone(ddf_dev_t *dev)
+static int cuda_dev_gone(ddf_dev_t *dev)
 {
         cuda_t *cuda = (cuda_t *)ddf_dev_data_get(dev);
@@ -140,5 +140,5 @@
 }
 
-static errno_t cuda_fun_online(ddf_fun_t *fun)
+static int cuda_fun_online(ddf_fun_t *fun)
 {
         ddf_msg(LVL_DEBUG, "cuda_fun_online()");
@@ -146,5 +146,5 @@
 }
 
-static errno_t cuda_fun_offline(ddf_fun_t *fun)
+static int cuda_fun_offline(ddf_fun_t *fun)
 {
         ddf_msg(LVL_DEBUG, "cuda_fun_offline()");
Index: uspace/drv/bus/isa/i8237.c
===================================================================
--- uspace/drv/bus/isa/i8237.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/isa/i8237.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -279,8 +279,8 @@
  *
  */
-static inline errno_t dma_controller_init(dma_controller_t *controller)
+static inline int dma_controller_init(dma_controller_t *controller)
 {
 	assert(controller);
-	errno_t ret = pio_enable(DMA_CONTROLLER_PAGE_BASE, sizeof(dma_page_regs_t),
+	int ret = pio_enable(DMA_CONTROLLER_PAGE_BASE, sizeof(dma_page_regs_t),
 	    (void **) &controller->page_table);
 	if (ret != EOK)
@@ -339,5 +339,5 @@
  * @return Error code.
  */
-errno_t dma_channel_setup(unsigned int channel, uint32_t pa, uint32_t size,
+int dma_channel_setup(unsigned int channel, uint32_t pa, uint32_t size,
     uint8_t mode)
 {
@@ -454,5 +454,5 @@
  * @return Error code.
  */
-errno_t dma_channel_remain(unsigned channel, size_t *size)
+int dma_channel_remain(unsigned channel, size_t *size)
 {
 	assert(size);
Index: uspace/drv/bus/isa/i8237.h
===================================================================
--- uspace/drv/bus/isa/i8237.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/isa/i8237.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,6 +38,6 @@
 #define DRV_BUS_ISA_I8237_H
 
-extern errno_t dma_channel_setup(unsigned, uint32_t, uint32_t, uint8_t);
-extern errno_t dma_channel_remain(unsigned, size_t *);
+extern int dma_channel_setup(unsigned, uint32_t, uint32_t, uint8_t);
+extern int dma_channel_remain(unsigned, size_t *);
 
 #endif
Index: uspace/drv/bus/isa/isa.c
===================================================================
--- uspace/drv/bus/isa/isa.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/isa/isa.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -130,5 +130,5 @@
 }
 
-static errno_t isa_fun_enable_interrupt(ddf_fun_t *fnode, int irq)
+static int isa_fun_enable_interrupt(ddf_fun_t *fnode, int irq)
 {
 	isa_fun_t *fun = isa_fun(fnode);
@@ -140,5 +140,5 @@
 }
 
-static errno_t isa_fun_disable_interrupt(ddf_fun_t *fnode, int irq)
+static int isa_fun_disable_interrupt(ddf_fun_t *fnode, int irq)
 {
 	isa_fun_t *fun = isa_fun(fnode);
@@ -150,5 +150,5 @@
 }
 
-static errno_t isa_fun_clear_interrupt(ddf_fun_t *fnode, int irq)
+static int isa_fun_clear_interrupt(ddf_fun_t *fnode, int irq)
 {
 	isa_fun_t *fun = isa_fun(fnode);
@@ -160,5 +160,5 @@
 }
 
-static errno_t isa_fun_setup_dma(ddf_fun_t *fnode,
+static int isa_fun_setup_dma(ddf_fun_t *fnode,
     unsigned int channel, uint32_t pa, uint32_t size, uint8_t mode)
 {
@@ -182,5 +182,5 @@
 }
 
-static errno_t isa_fun_remain_dma(ddf_fun_t *fnode,
+static int isa_fun_remain_dma(ddf_fun_t *fnode,
     unsigned channel, size_t *size)
 {
@@ -232,8 +232,8 @@
 };
 
-static errno_t isa_dev_add(ddf_dev_t *dev);
-static errno_t isa_dev_remove(ddf_dev_t *dev);
-static errno_t isa_fun_online(ddf_fun_t *fun);
-static errno_t isa_fun_offline(ddf_fun_t *fun);
+static int isa_dev_add(ddf_dev_t *dev);
+static int isa_dev_remove(ddf_dev_t *dev);
+static int isa_fun_online(ddf_fun_t *fun);
+static int isa_fun_offline(ddf_fun_t *fun);
 
 /** The isa device driver's standard operations */
@@ -277,10 +277,10 @@
 	int fd;
 	size_t len;
-	errno_t rc;
+	int rc;
 	size_t nread;
-	vfs_stat_t st;
-
-	rc = vfs_lookup_open(conf_path, WALK_REGULAR, MODE_READ, &fd);
-	if (rc != EOK) {
+	struct stat st;
+
+	fd = vfs_lookup_open(conf_path, WALK_REGULAR, MODE_READ);
+	if (fd < 0) {
 		ddf_msg(LVL_ERROR, "Unable to open %s", conf_path);
 		goto cleanup;
@@ -578,5 +578,5 @@
 	    "function %s", id, score, ddf_fun_get_name(fun->fnode));
 
-	errno_t rc = ddf_fun_add_match_id(fun->fnode, id, score);
+	int rc = ddf_fun_add_match_id(fun->fnode, id, score);
 	if (rc != EOK) {
 		ddf_msg(LVL_ERROR, "Failed adding match ID: %s",
@@ -698,8 +698,8 @@
 }
 
-static errno_t isa_dev_add(ddf_dev_t *dev)
+static int isa_dev_add(ddf_dev_t *dev)
 {
 	async_sess_t *sess;
-	errno_t rc;
+	int rc;
 
 	ddf_msg(LVL_DEBUG, "isa_dev_add, device handle = %d",
@@ -767,5 +767,5 @@
 }
 
-static errno_t isa_dev_remove(ddf_dev_t *dev)
+static int isa_dev_remove(ddf_dev_t *dev)
 {
 	isa_bus_t *isa = isa_bus(dev);
@@ -777,5 +777,5 @@
 		    isa_fun_t, bus_link);
 
-		errno_t rc = ddf_fun_offline(fun->fnode);
+		int rc = ddf_fun_offline(fun->fnode);
 		if (rc != EOK) {
 			fibril_mutex_unlock(&isa->mutex);
@@ -807,5 +807,5 @@
 }
 
-static errno_t isa_fun_online(ddf_fun_t *fun)
+static int isa_fun_online(ddf_fun_t *fun)
 {
 	ddf_msg(LVL_DEBUG, "isa_fun_online()");
@@ -813,5 +813,5 @@
 }
 
-static errno_t isa_fun_offline(ddf_fun_t *fun)
+static int isa_fun_offline(ddf_fun_t *fun)
 {
 	ddf_msg(LVL_DEBUG, "isa_fun_offline()");
Index: uspace/drv/bus/pci/pciintel/pci.c
===================================================================
--- uspace/drv/bus/pci/pciintel/pci.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/pci/pciintel/pci.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -99,5 +99,5 @@
 }
 
-static bool pciintel_fun_owns_interrupt(pci_fun_t *fun, int irq)
+static int pciintel_fun_owns_interrupt(pci_fun_t *fun, int irq)
 {
 	size_t i;
@@ -114,5 +114,5 @@
 }
 
-static errno_t pciintel_enable_interrupt(ddf_fun_t *fnode, int irq)
+static int pciintel_enable_interrupt(ddf_fun_t *fnode, int irq)
 {
 	pci_fun_t *fun = pci_fun(fnode);
@@ -124,5 +124,5 @@
 }
 
-static errno_t pciintel_disable_interrupt(ddf_fun_t *fnode, int irq)
+static int pciintel_disable_interrupt(ddf_fun_t *fnode, int irq)
 {
 	pci_fun_t *fun = pci_fun(fnode);
@@ -134,5 +134,5 @@
 }
 
-static errno_t pciintel_clear_interrupt(ddf_fun_t *fnode, int irq)
+static int pciintel_clear_interrupt(ddf_fun_t *fnode, int irq)
 {
 	pci_fun_t *fun = pci_fun(fnode);
@@ -154,5 +154,5 @@
 
 
-static errno_t config_space_write_32(ddf_fun_t *fun, uint32_t address,
+static int config_space_write_32(ddf_fun_t *fun, uint32_t address,
     uint32_t data)
 {
@@ -163,5 +163,5 @@
 }
 
-static errno_t config_space_write_16(
+static int config_space_write_16(
     ddf_fun_t *fun, uint32_t address, uint16_t data)
 {
@@ -172,5 +172,5 @@
 }
 
-static errno_t config_space_write_8(
+static int config_space_write_8(
     ddf_fun_t *fun, uint32_t address, uint8_t data)
 {
@@ -181,5 +181,5 @@
 }
 
-static errno_t config_space_read_32(
+static int config_space_read_32(
     ddf_fun_t *fun, uint32_t address, uint32_t *data)
 {
@@ -190,5 +190,5 @@
 }
 
-static errno_t config_space_read_16(
+static int config_space_read_16(
     ddf_fun_t *fun, uint32_t address, uint16_t *data)
 {
@@ -199,5 +199,5 @@
 }
 
-static errno_t config_space_read_8(
+static int config_space_read_8(
     ddf_fun_t *fun, uint32_t address, uint8_t *data)
 {
@@ -234,7 +234,7 @@
 };
 
-static errno_t pci_dev_add(ddf_dev_t *);
-static errno_t pci_fun_online(ddf_fun_t *);
-static errno_t pci_fun_offline(ddf_fun_t *);
+static int pci_dev_add(ddf_dev_t *);
+static int pci_fun_online(ddf_fun_t *);
+static int pci_fun_offline(ddf_fun_t *);
 
 /** PCI bus driver standard operations */
@@ -382,13 +382,13 @@
 void pci_fun_create_match_ids(pci_fun_t *fun)
 {
-	errno_t rc;
-	int ret;
+	int rc;
 	char match_id_str[ID_MAX_STR_LEN];
 
 	/* Vendor ID & Device ID, length(incl \0) 22 */
-	ret = snprintf(match_id_str, ID_MAX_STR_LEN, "pci/ven=%04"
+	rc = snprintf(match_id_str, ID_MAX_STR_LEN, "pci/ven=%04"
 	    PRIx16 "&dev=%04" PRIx16, fun->vendor_id, fun->device_id);
-	if (ret < 0) {
-		ddf_msg(LVL_ERROR, "Failed creating match ID str");
+	if (rc < 0) {
+		ddf_msg(LVL_ERROR, "Failed creating match ID str: %s",
+		    str_error(rc));
 	}
 
@@ -399,9 +399,10 @@
 
 	/* Class, subclass, prog IF, revision, length(incl \0) 47 */
-	ret = snprintf(match_id_str, ID_MAX_STR_LEN,
+	rc = snprintf(match_id_str, ID_MAX_STR_LEN,
 	    "pci/class=%02x&subclass=%02x&progif=%02x&revision=%02x",
 	    fun->class_code, fun->subclass_code, fun->prog_if, fun->revision);
-	if (ret < 0) {
-		ddf_msg(LVL_ERROR, "Failed creating match ID str");
+	if (rc < 0) {
+		ddf_msg(LVL_ERROR, "Failed creating match ID str: %s",
+		    str_error(rc));
 	}
 
@@ -412,9 +413,10 @@
 
 	/* Class, subclass, prog IF, length(incl \0) 35 */
-	ret = snprintf(match_id_str, ID_MAX_STR_LEN,
+	rc = snprintf(match_id_str, ID_MAX_STR_LEN,
 	    "pci/class=%02x&subclass=%02x&progif=%02x",
 	    fun->class_code, fun->subclass_code, fun->prog_if);
-	if (ret < 0) {
-		ddf_msg(LVL_ERROR, "Failed creating match ID str");
+	if (rc < 0) {
+		ddf_msg(LVL_ERROR, "Failed creating match ID str: %s",
+		    str_error(rc));
 	}
 
@@ -425,9 +427,10 @@
 
 	/* Class, subclass, length(incl \0) 25 */
-	ret = snprintf(match_id_str, ID_MAX_STR_LEN,
+	rc = snprintf(match_id_str, ID_MAX_STR_LEN,
 	    "pci/class=%02x&subclass=%02x",
 	    fun->class_code, fun->subclass_code);
-	if (ret < 0) {
-		ddf_msg(LVL_ERROR, "Failed creating match ID str");
+	if (rc < 0) {
+		ddf_msg(LVL_ERROR, "Failed creating match ID str: %s",
+		    str_error(rc));
 	}
 
@@ -438,8 +441,9 @@
 
 	/* Class, length(incl \0) 13 */
-	ret = snprintf(match_id_str, ID_MAX_STR_LEN, "pci/class=%02x",
+	rc = snprintf(match_id_str, ID_MAX_STR_LEN, "pci/class=%02x",
 	    fun->class_code);
-	if (ret < 0) {
-		ddf_msg(LVL_ERROR, "Failed creating match ID str");
+	if (rc < 0) {
+		ddf_msg(LVL_ERROR, "Failed creating match ID str: %s",
+		    str_error(rc));
 	}
 
@@ -510,5 +514,5 @@
 #define MEM_MASK (~0xf)
 	
-	io = (val & 1) != 0;
+	io = (bool) (val & 1);
 	if (io) {
 		addrw64 = false;
@@ -602,5 +606,5 @@
 {
 	pci_fun_t *fun;
-	errno_t rc;
+	int rc;
 	
 	int child_bus = 0;
@@ -684,5 +688,5 @@
 }
 
-static errno_t pci_dev_add(ddf_dev_t *dnode)
+static int pci_dev_add(ddf_dev_t *dnode)
 {
 	hw_resource_list_t hw_resources;
@@ -691,5 +695,5 @@
 	bool got_res = false;
 	async_sess_t *sess;
-	errno_t rc;
+	int rc;
 	
 	ddf_msg(LVL_DEBUG, "pci_dev_add");
@@ -810,5 +814,5 @@
 }
 
-static errno_t pci_fun_online(ddf_fun_t *fun)
+static int pci_fun_online(ddf_fun_t *fun)
 {
 	ddf_msg(LVL_DEBUG, "pci_fun_online()");
@@ -816,5 +820,5 @@
 }
 
-static errno_t pci_fun_offline(ddf_fun_t *fun)
+static int pci_fun_offline(ddf_fun_t *fun)
 {
 	ddf_msg(LVL_DEBUG, "pci_fun_offline()");
Index: uspace/drv/bus/usb/ehci/ehci_batch.c
===================================================================
--- uspace/drv/bus/usb/ehci/ehci_batch.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/ehci_batch.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -234,8 +234,8 @@
 			    -= td_remain_size(ehci_batch->tds[i]);
 		} else {
-			usb_log_debug("Batch %p found error TD(%zu):%08x: %s.",
+			usb_log_debug("Batch %p found error TD(%zu):%08x (%d).",
 			    ehci_batch->usb_batch, i,
 			    ehci_batch->tds[i]->status,
-			    str_error_name(ehci_batch->usb_batch->error));
+			    ehci_batch->usb_batch->error);
 			/* Clear possible ED HALT */
 			qh_clear_halt(ehci_batch->qh);
Index: uspace/drv/bus/usb/ehci/ehci_endpoint.c
===================================================================
--- uspace/drv/bus/usb/ehci/ehci_endpoint.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/ehci_endpoint.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -77,5 +77,5 @@
  * @return Error code.
  */
-errno_t ehci_endpoint_init(hcd_t *hcd, endpoint_t *ep)
+int ehci_endpoint_init(hcd_t *hcd, endpoint_t *ep)
 {
 	assert(ep);
Index: uspace/drv/bus/usb/ehci/ehci_endpoint.h
===================================================================
--- uspace/drv/bus/usb/ehci/ehci_endpoint.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/ehci_endpoint.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,5 +51,5 @@
 } ehci_endpoint_t;
 
-errno_t ehci_endpoint_init(hcd_t *hcd, endpoint_t *ep);
+int ehci_endpoint_init(hcd_t *hcd, endpoint_t *ep);
 void ehci_endpoint_fini(hcd_t *hcd, endpoint_t *ep);
 
Index: uspace/drv/bus/usb/ehci/ehci_rh.c
===================================================================
--- uspace/drv/bus/usb/ehci/ehci_rh.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/ehci_rh.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -99,5 +99,5 @@
  * initializes internal virtual hub.
  */
-errno_t ehci_rh_init(ehci_rh_t *instance, ehci_caps_regs_t *caps, ehci_regs_t *regs,
+int ehci_rh_init(ehci_rh_t *instance, ehci_caps_regs_t *caps, ehci_regs_t *regs,
     const char *name)
 {
@@ -140,5 +140,5 @@
  * status change requests might be postponed until there is something to report.
  */
-errno_t ehci_rh_schedule(ehci_rh_t *instance, usb_transfer_batch_t *batch)
+int ehci_rh_schedule(ehci_rh_t *instance, usb_transfer_batch_t *batch)
 {
 	assert(instance);
@@ -175,5 +175,5 @@
  * processing of a postponed request.
  */
-errno_t ehci_rh_interrupt(ehci_rh_t *instance)
+int ehci_rh_interrupt(ehci_rh_t *instance)
 {
 	//TODO atomic swap needed
@@ -217,5 +217,5 @@
  * @return Error code.
  */
-static errno_t req_get_status(usbvirt_device_t *device,
+static int req_get_status(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -240,5 +240,5 @@
  * @return Error code.
  */
-static errno_t req_clear_hub_feature(usbvirt_device_t *device,
+static int req_clear_hub_feature(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -268,5 +268,5 @@
  * @return Error code.
  */
-static errno_t req_get_port_status(usbvirt_device_t *device,
+static int req_get_port_status(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -311,5 +311,5 @@
 } ehci_rh_job_t;
 
-static errno_t stop_reset(void *arg)
+static int stop_reset(void *arg)
 {
 	ehci_rh_job_t *job = arg;
@@ -340,5 +340,5 @@
 }
 
-static errno_t stop_resume(void *arg)
+static int stop_resume(void *arg)
 {
 	ehci_rh_job_t *job = arg;
@@ -353,5 +353,5 @@
 }
 
-static errno_t delayed_job(errno_t (*func)(void*), ehci_rh_t *rh, unsigned port)
+static int delayed_job(int (*func)(void*), ehci_rh_t *rh, unsigned port)
 {
 	ehci_rh_job_t *job = malloc(sizeof(*job));
@@ -379,5 +379,5 @@
  * @return Error code.
  */
-static errno_t req_clear_port_feature(usbvirt_device_t *device,
+static int req_clear_port_feature(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -458,5 +458,5 @@
  * @return Error code.
  */
-static errno_t req_set_port_feature(usbvirt_device_t *device,
+static int req_set_port_feature(usbvirt_device_t *device,
     const usb_device_request_setup_packet_t *setup_packet,
     uint8_t *data, size_t *act_size)
@@ -507,5 +507,5 @@
  * only need 1 byte.
  */
-static errno_t req_status_change_handler(usbvirt_device_t *device,
+static int req_status_change_handler(usbvirt_device_t *device,
     usb_endpoint_t endpoint, usb_transfer_type_t tr_type,
     void *buffer, size_t buffer_size, size_t *actual_size)
Index: uspace/drv/bus/usb/ehci/ehci_rh.h
===================================================================
--- uspace/drv/bus/usb/ehci/ehci_rh.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/ehci_rh.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -67,8 +67,8 @@
 } ehci_rh_t;
 
-errno_t ehci_rh_init(ehci_rh_t *instance, ehci_caps_regs_t *caps, ehci_regs_t *regs,
+int ehci_rh_init(ehci_rh_t *instance, ehci_caps_regs_t *caps, ehci_regs_t *regs,
     const char *name);
-errno_t ehci_rh_schedule(ehci_rh_t *instance, usb_transfer_batch_t *batch);
-errno_t ehci_rh_interrupt(ehci_rh_t *instance);
+int ehci_rh_schedule(ehci_rh_t *instance, usb_transfer_batch_t *batch);
+int ehci_rh_interrupt(ehci_rh_t *instance);
 
 /** Get EHCI rh address.
Index: uspace/drv/bus/usb/ehci/endpoint_list.c
===================================================================
--- uspace/drv/bus/usb/ehci/endpoint_list.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/endpoint_list.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -50,5 +50,5 @@
  * Allocates memory for internal ed_t structure.
  */
-errno_t endpoint_list_init(endpoint_list_t *instance, const char *name)
+int endpoint_list_init(endpoint_list_t *instance, const char *name)
 {
 	assert(instance);
Index: uspace/drv/bus/usb/ehci/endpoint_list.h
===================================================================
--- uspace/drv/bus/usb/ehci/endpoint_list.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/endpoint_list.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -68,5 +68,5 @@
 }
 
-errno_t endpoint_list_init(endpoint_list_t *instance, const char *name);
+int endpoint_list_init(endpoint_list_t *instance, const char *name);
 void endpoint_list_chain(endpoint_list_t *instance, const endpoint_list_t *next);
 void endpoint_list_append_ep(endpoint_list_t *instance, ehci_endpoint_t *ep);
Index: uspace/drv/bus/usb/ehci/hc.c
===================================================================
--- uspace/drv/bus/usb/ehci/hc.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/hc.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -90,5 +90,5 @@
 
 static void hc_start(hc_t *instance);
-static errno_t hc_init_memory(hc_t *instance);
+static int hc_init_memory(hc_t *instance);
 
 /** Generate IRQ code.
@@ -96,9 +96,7 @@
  * @param[in] hw_res Device's resources.
  *
- * @param[out] irq
- *
  * @return Error code.
  */
-errno_t ehci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res, int *irq)
+int ehci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res)
 {
 	assert(code);
@@ -132,5 +130,5 @@
 	ehci_caps_regs_t *caps = NULL;
 
-	errno_t ret = pio_enable_range(&regs, (void**)&caps);
+	int ret = pio_enable_range(&regs, (void**)&caps);
 	if (ret != EOK) {
 		free(code->ranges);
@@ -148,6 +146,5 @@
 	    RNGABSPTR(regs), RNGSZ(regs), hw_res->irqs.irqs[0]);
 
-	*irq = hw_res->irqs.irqs[0];
-	return EOK;
+	return hw_res->irqs.irqs[0];
 }
 
@@ -159,5 +156,5 @@
  * @return Error code
  */
-errno_t hc_init(hc_t *instance, const hw_res_list_parsed_t *hw_res, bool interrupts)
+int hc_init(hc_t *instance, const hw_res_list_parsed_t *hw_res, bool interrupts)
 {
 	assert(instance);
@@ -168,5 +165,5 @@
 	    return EINVAL;
 
-	errno_t ret = pio_enable_range(&hw_res->mem_ranges.ranges[0],
+	int ret = pio_enable_range(&hw_res->mem_ranges.ranges[0],
 	    (void **)&instance->caps);
 	if (ret != EOK) {
@@ -273,5 +270,5 @@
 }
 
-errno_t ehci_hc_status(hcd_t *hcd, uint32_t *status)
+int ehci_hc_status(hcd_t *hcd, uint32_t *status)
 {
 	assert(hcd);
@@ -294,5 +291,5 @@
  * @return Error code.
  */
-errno_t ehci_hc_schedule(hcd_t *hcd, usb_transfer_batch_t *batch)
+int ehci_hc_schedule(hcd_t *hcd, usb_transfer_batch_t *batch)
 {
 	assert(hcd);
@@ -445,10 +442,10 @@
  * @return Error code.
  */
-errno_t hc_init_memory(hc_t *instance)
+int hc_init_memory(hc_t *instance)
 {
 	assert(instance);
 	usb_log_debug2("HC(%p): Initializing Async list(%p).", instance,
 	    &instance->async_list);
-	errno_t ret = endpoint_list_init(&instance->async_list, "ASYNC");
+	int ret = endpoint_list_init(&instance->async_list, "ASYNC");
 	if (ret != EOK) {
 		usb_log_error("HC(%p): Failed to setup ASYNC list: %s",
Index: uspace/drv/bus/usb/ehci/hc.h
===================================================================
--- uspace/drv/bus/usb/ehci/hc.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/hc.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -82,5 +82,5 @@
 } hc_t;
 
-errno_t hc_init(hc_t *instance, const hw_res_list_parsed_t *hw_res, bool interrupts);
+int hc_init(hc_t *instance, const hw_res_list_parsed_t *hw_res, bool interrupts);
 void hc_fini(hc_t *instance);
 
@@ -88,9 +88,9 @@
 void hc_dequeue_endpoint(hc_t *instance, const endpoint_t *ep);
 
-errno_t ehci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res, int *irq);
+int ehci_hc_gen_irq_code(irq_code_t *code, const hw_res_list_parsed_t *hw_res);
 
 void ehci_hc_interrupt(hcd_t *hcd, uint32_t status);
-errno_t ehci_hc_status(hcd_t *hcd, uint32_t *status);
-errno_t ehci_hc_schedule(hcd_t *hcd, usb_transfer_batch_t *batch);
+int ehci_hc_status(hcd_t *hcd, uint32_t *status);
+int ehci_hc_schedule(hcd_t *hcd, usb_transfer_batch_t *batch);
 #endif
 /**
Index: uspace/drv/bus/usb/ehci/hw_struct/transfer_descriptor.c
===================================================================
--- uspace/drv/bus/usb/ehci/hw_struct/transfer_descriptor.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/hw_struct/transfer_descriptor.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,5 +45,5 @@
 
 
-errno_t td_error(const td_t *td)
+int td_error(const td_t *td)
 {
 	assert(td);
Index: uspace/drv/bus/usb/ehci/hw_struct/transfer_descriptor.h
===================================================================
--- uspace/drv/bus/usb/ehci/hw_struct/transfer_descriptor.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/hw_struct/transfer_descriptor.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -90,5 +90,5 @@
 }
 
-errno_t td_error(const td_t *td);
+int td_error(const td_t *td);
 
 void td_init(td_t *td, const td_t *next, usb_direction_t dir, const void * buf,
Index: uspace/drv/bus/usb/ehci/main.c
===================================================================
--- uspace/drv/bus/usb/ehci/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -52,5 +52,5 @@
 #define NAME "ehci"
 
-static errno_t ehci_driver_init(hcd_t *, const hw_res_list_parsed_t *, bool);
+static int ehci_driver_init(hcd_t *, const hw_res_list_parsed_t *, bool);
 static void ehci_driver_fini(hcd_t *);
 
@@ -72,5 +72,5 @@
 
 
-static errno_t ehci_driver_init(hcd_t *hcd, const hw_res_list_parsed_t *res,
+static int ehci_driver_init(hcd_t *hcd, const hw_res_list_parsed_t *res,
     bool irq)
 {
@@ -82,5 +82,5 @@
 		return ENOMEM;
 
-	const errno_t ret = hc_init(instance, res, irq);
+	const int ret = hc_init(instance, res, irq);
 	if (ret == EOK) {
 		hcd_set_implementation(hcd, instance, &ehci_hc_driver.ops);
@@ -107,5 +107,5 @@
  * @return Error code.
  */
-static errno_t ehci_dev_add(ddf_dev_t *device)
+static int ehci_dev_add(ddf_dev_t *device)
 {
 	usb_log_debug("ehci_dev_add() called\n");
Index: uspace/drv/bus/usb/ehci/res.c
===================================================================
--- uspace/drv/bus/usb/ehci/res.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/res.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -62,5 +62,5 @@
  * @return Error code.
  */
-static errno_t disable_extended_caps(async_sess_t *parent_sess, unsigned eecp)
+static int disable_extended_caps(async_sess_t *parent_sess, unsigned eecp)
 {
 	/* nothing to do */
@@ -70,5 +70,5 @@
 	/* Read the first EEC. i.e. Legacy Support register */
 	uint32_t usblegsup;
-	errno_t ret = pci_config_space_read_32(parent_sess,
+	int ret = pci_config_space_read_32(parent_sess,
 	    eecp + USBLEGSUP_OFFSET, &usblegsup);
 	if (ret != EOK) {
@@ -172,5 +172,5 @@
 }
 
-errno_t disable_legacy(ddf_dev_t *device)
+int disable_legacy(ddf_dev_t *device)
 {
 	assert(device);
@@ -184,5 +184,5 @@
 	hw_res_list_parsed_t res;
 	hw_res_list_parsed_init(&res);
-	errno_t ret = hw_res_get_list_parsed(parent_sess, &res, 0);
+	int ret = hw_res_get_list_parsed(parent_sess, &res, 0);
 	if (ret != EOK) {
 		usb_log_error("Failed to get resource list: %s\n",
Index: uspace/drv/bus/usb/ehci/res.h
===================================================================
--- uspace/drv/bus/usb/ehci/res.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ehci/res.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -39,5 +39,5 @@
 #include <device/hw_res_parsed.h>
 
-extern errno_t disable_legacy(ddf_dev_t *);
+extern int disable_legacy(ddf_dev_t *);
 
 #endif
Index: uspace/drv/bus/usb/ohci/endpoint_list.c
===================================================================
--- uspace/drv/bus/usb/ohci/endpoint_list.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/endpoint_list.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,5 +51,5 @@
  * Allocates memory for internal ed_t structure.
  */
-errno_t endpoint_list_init(endpoint_list_t *instance, const char *name)
+int endpoint_list_init(endpoint_list_t *instance, const char *name)
 {
 	assert(instance);
Index: uspace/drv/bus/usb/ohci/endpoint_list.h
===================================================================
--- uspace/drv/bus/usb/ohci/endpoint_list.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/bus/usb/ohci/endpoint_list.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -71,5 +71,5 @@
 }
 
-errno_t endpoint_list_init(endpoint_list_t *instance, const char *name);
+int endpoint_list_init(endpoint_list_t *instance, const char *name);
 void endpoint_list_set_next(
     const endpoint_list_t *instance, const endpoint_list_t *next);
